routes/web.php
<?php

use App\Http\Controllers\Admin\AgentController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\ProdukController;
use App\Http\Controllers\Admin\PurchaseController;
use App\Http\Controllers\Admin\ReportController;
use App\Http\Controllers\Admin\ReturController;
use App\Http\Controllers\Admin\SaleStoreController;
use App\Http\Controllers\Admin\StoreController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login-kimsin');
});


Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('category',CategoryController::class);
Route::resource('product', ProdukController::class);
Route::resource('store', StoreController::class);
Route::resource('sale-store', SaleStoreController::class);
Route::resource('retur', ReturController::class);
Route::resource('agent', AgentController::class);
Route::resource('purchase', PurchaseController::class);
Route::get('purchase/add/{id}', [PurchaseController::class,'add_item'])->name('purchase.add');
Route::get('purchase/bayar/detail/{id}', [PurchaseController::class,'bayarPo'])->name('purchase.detail-bayar');
Route::patch('bayar/purchase', [PurchaseController::class,'storeBayarPo'])->name('purchase.bayar-po');
Route::post('update/purchase/item-po', [PurchaseController::class,'update_add_item'])->name('purchase.item-po.update');
Route::post('insert/purchase/item-temp', [PurchaseController::class,'addPurchaseItemTemp'])->name('purchase.item-temp');
Route::get('list/purchase/item-temp', [PurchaseController::class,'getPurchaseItemTemp'])->name('getpurchase.item-temp');
Route::delete('delete/purchase/item-temp', [PurchaseController::class,'deletePurchaseItemTemp'])->name('deletepurchase.item-temp');

Route::get('produk/detail/{id}', [ProdukController::class,'detailProdukItem'])->name('produk.detail-item');
Route::get('produk/purchase/item',[PurchaseController::class,'productDetailPurchase'])->name('product.detail-purchase');
Route::get('filter/tanggal/invoice',[ReturController::class,'getReturInvoiceDate'])->name('tanggal.invoice');

Route::get('report/credit-purchase',[ReportController::class,'creditPurchase'])->name('report.credit-purchase');
Route::get('report/debt-purchase',[ReportController::class,'debtPurchase'])->name('report.debt-purchase');
Route::get('report/stock-product',[ReportController::class,'stokProduct'])->name('report.stok-product');
Route::get('report/stock-product/detail/{id}',[ReportController::class,'detailStockProduct'])->name('report.detail-stock');
Route::get('cetak/report/surat-jalan/{id}',[ReportController::class,'exportPdfSuratJalan'])->name('cetak.surat-jalan');
Route::get('cetak/report/po/{id}',[ReportController::class,'viewPdfPo'])->name('cetak.surat-po');
Route::get('cetak/report/cetak/{id}',[ReportController::class,'exportPo'])->name('cetak.pdf.po');

app/Models/Agent.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Agent extends Model
{
    use HasFactory;
    protected $table = 'agents';
    protected $fillable = [
        'name',
        'kode_agent',
        'address',
        'phone',
        'store_id',
        'kode_store',
    ];
}

app/Http/Controllers/Admin/AgentController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Agent;
use App\Models\Store;
use Illuminate\Http\Request;

class AgentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $agents = Agent::all();
        return view('admin.pages.agent.data',compact('agents'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $tgl = date('dmY');
        $cek = Agent::count();
        if ($cek == 0) {
            $urut = 1001;
            $kode = 'AGKM'.$tgl.'-'.$urut;
        } else {
            $kolom = Agent::all()->last();
            $urut = (int) substr($kolom->kode_agent,-4)+1; 
            $kode = 'AGKM'.$tgl.'-'.$urut;
        }
        $stores = Store::all();
        return view('admin.pages.agent.create',compact('kode','stores'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $store = Store::where('id',$request->store_id)->first();
        if ($store) {
            $agent = new Agent();
            $agent->name = $request->name;
            $agent->kode_agent = $request->kode_agent;
            $agent->store_id = $request->store_id;
            $agent->address = $request->address;
            $agent->phone = $request->phone;
            $agent->kode_store = $store->kode_store;
            // $agent->kode_store = '1111';
            // dd($agent);
            $agent->save();
        }else{
            return redirect()->back()->with('error','Store tidak ditemukan');
        }
        return redirect()->route('agent.index')->with('success','Data berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Agent  $agent
     * @return \Illuminate\Http\Response
     */
    public function show(Agent $agent)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Agent  $agent
     * @return \Illuminate\Http\Response
     */
    public function edit(Agent $agent)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Agent  $agent
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Agent $agent)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Agent  $agent
     * @return \Illuminate\Http\Response
     */
    public function destroy(Agent $agent)
    {
        //
    }
}

resources/views/admin/pages/agent/create.blade.php
@extends('admin.layouts.layout-dashboard')
@section('content')


<!-- Page-header end -->

<div class="page-info">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Data Toko</a></li>
            <li class="breadcrumb-item active" aria-current="page">Form Input</li>
        </ol>
    </nav>
</div>
@if (session('error'))
<div class="alert alert-danger outline-alert" role="alert">
    {{ session('error') }}
    {{-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button> --}}
</div>
@endif
<div class="main-wrapper">
    <div class="row">
        <div class="col-md-12">
            <div class="page-title">
                <p class="page-desc">Input data dengan benar</p>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Input Agen Toko</h5>
                    <form action="{{route('agent.store')}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">
                            <label>Toko</label>
                            <select name="store_id" id="store_id" class="js-states form-control" tabindex="-1" style="display: none; width: 100%">
                                <option value="">--Pilih Toko-- </option>
                                @foreach ($stores as $store)
                                    <option  name="store_id" value="{{$store->id}}">{{$store->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Nama Agen</label>
                            <input type="text" name="name" class="form-control" aria-describedby="name" placeholder="Masukan nama agen toko">
                        </div>
                        <div class="form-group">
                            <label>Kode Agen</label>
                            <input type="text" name="kode_agent" value="{{$kode}}" readonly class="form-control" aria-describedby="name" placeholder="Masukan kode produk">
                        </div>
                        <div class="form-group">
                            <label>Alamat</label>
                            <textarea name="address" class="form-control" id="" cols="10" rows="3"></textarea>
                            {{-- <input type="text" name="description" class="form-control" aria-describedby="name" placeholder="Masukan nama kategori"> --}}
                        </div>
                        <div class="form-group">
                            <label>Nomor HP</label>
                            <input type="number" name="phone" class="form-control" aria-describedby="name" placeholder="Masukan nomor agen toko">
                        </div>
                        
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection
@push('after-scripts')
<script src="{{url('kimsin-theme/assets/plugins/select2/js/select2.full.min.js')}}"></script>
@endpush

resources/views/admin/pages/agent/data.blade.php
@extends('admin.layouts.layout-dashboard')
@section('content')


<!-- Page-header end -->

<div class="page-info">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Extended</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Tables</li>
        </ol>
    </nav>
</div>
@if (session('success'))
<div class="alert alert-primary outline-alert" role="alert">
    {{ session('success') }}
    {{-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button> --}}
</div>
@endif
<div class="main-wrapper">
    <div class="row">
        <div class="col-md-12">
            <div class="page-title">
                <a href="{{route('agent.create')}}" class="btn btn-primary btn-sm"  style="float: right;">buat agen</a>
                {{-- <p class="page-desc">DataTables is a plug-in for the jQuery Javascript library. It is a highly flexible tool, built upon the foundations of progressive enhancement, that adds many advanced features to any HTML table.</p> --}}
            </div>
            <br>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Data Agen Toko</h5>
                    <br>
                    <table id="zero-conf" class="display" style="width:100%">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Kode</th>
                                <th>Nama Agen</th>
                                <th>Nama Toko</th>
                                <th>Alamat</th>
                                <th>Telp</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($agents as $item)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$item->kode_agent}}</td>
                                    <td>{{$item->name}}</td>
                                    <td>{{$item->store_id}}</td>
                                    <td>{{$item->address}}</td>
                                    <td>{{$item->phone}}</td>
                                    <td>
                                        <a href="{{route('agent.edit',$item->id)}}" class="btn btn-secondary">Edit</a>
                                        {{-- <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">Hapus</button> --}}
                                        <form action="{{ route('agent.destroy',$item->id) }}" method="POST" style="display: inline-block;">
                                            @method('delete')
                                            @csrf
                                            <button type="submit" class="btn btn-danger" value="Delete"
                                                onclick="return confirm('Apakah Anda Yakin Ingin Menghapus Data {{ $item->name }} ?')">
                                                 Hapus
                                            </button>
                                        </form> 
                                    </td>
                                </tr>    
                            @endforeach
                            
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
</div>




@endsection
@push('after-scripts')
    
@endpush